
function onAppReady() {
    if (navigator.splashscreen && navigator.splashscreen.hide) { // Cordova API detected
        navigator.splashscreen.hide();
        saveSettings();
        if(localStorage.maincity){
            if(localStorage.maincity != " " && localStorage.maincity != ''){
                getWeather(localStorage.maincity);
            }
        }
        
    }
}
document.addEventListener("app.Ready", onAppReady, false);

var yourLocation;
var currentTemp;
var windSpeed;
var windChill;
var pressure;
var currentCondition;
var highTemp;
var lowTemp;
var currentLatitude;
var currentLongitude;
var dayCondition;
var humidity;
var heatindex;
var conditionKeyWords;
var generalStatement;

//Stuff to wear
//Today I recommend you wear no jacket, a t-shirt, shorts, sandals, short or no socks. You most likely won't need an umbrella.
var jacket = ' '; //none, light jacket, wind-breaker, warm jacket, heavy jacket, raincoat, snow jacket
var shirt = ' '; //t-shirt, long shirt, tank-top
var shoes = ' '; //sandals, boots, any
var bottom = ' '; //shorts, jeans, heavy jeans
var socks = ' '; //short/none, long
var umbrella = ' '; //yes, no
var hat = ' ';
var generalStatement;
/*var request = indexedDB.open("qnimate", 1);*/
/*var db = null;*/
var city;
var state;


function updateFlipSwitch(){
    $('#select-color').val(localStorage.changecolor).flipswitch().flipswitch("refresh");
    $('#select-unit').val(localStorage.tempunit).flipswitch().flipswitch("refresh");
    $('#select-style').val(localStorage.thestyle).flipswitch().flipswitch("refresh");
    $('#select-gender').val(localStorage.gender).flipswitch().flipswitch("refresh");
    /*$('#select-umbNotify').val(localStorage.umbNotify).flipswitch().flipswitch("refresh");
    $('#select-dayNotify').val(localStorage.dayNotify).flipswitch().flipswitch("refresh");*/
    $("#maincity").val(localStorage.maincity);
}

function updateLocalStorage(){
    localStorage.umbNotify = "yesUmbNotify";
    localStorage.dayNotify = "yesDayNotify";
    localStorage.codeVersion = "2016-01-25-10-19";
    updateFlipSwitch();
}

function createLocalStorage(){
    
    localStorage.changecolor = "yesColor";
    localStorage.tempunit = "f";
    localStorage.thestyle = "casual";
    localStorage.gender = "m";
    localStorage.maincity = " ";
    /*localStorage.umbNotify = "yesUmbNotify";
    localStorage.dayNotify = "yesDayNotify";*/
    localStorage.codeVersion = "2016-01-25-10-19";
    updateFlipSwitch();
}

function saveSettings(){
    console.log("save settings called");
    if(typeof(Storage) !== "undefined") {
        if(localStorage.codeVersion){
            console.log(localStorage.tempunit);
            /*localStorage.changecolor = "yesColor";
            localStorage.tempunit = "f";
            localStorage.thestyle = "casual";
            localStorage.gender = "m";*/
            if(localStorage.codeVersion != "2016-01-25-10-19"){ //if not current version, update to it. Must change later to change settings
                updateLocalStorage();
            }
            updateFlipSwitch();
        }
        else{
            console.log("First time running app");
            createLocalStorage();
        }
        
    // Code for localStorage/sessionStorage.
    } else {
        alert("No web storage support!!!!!!!!!!!!!!!!");
    }
}
function change(whatto){ //Remember, with if statement, the flipswitch changes before it is called, so if yes then yes if no then no
    console.log("change"+whatto);
    
    if(whatto == 'color'){
        if(document.getElementById('select-color').value == 'yesColor'){
            localStorage.changecolor = "yesColor";
        }
        else{
            localStorage.changecolor = "noColor";
        }
    }
    else if(whatto == 'unit'){
        console.log("change unit is happening");
        if(document.getElementById('select-unit').value == 'f'){
            console.log("changed to f");
            localStorage.tempunit = "f";
            
        }
        else{
            console.log("changee to c");
            localStorage.tempunit = "c";
        }
    }
    else if(whatto=='style'){
        if(document.getElementById('select-style').value == 'casual'){
            localStorage.thestyle = "casual";
        }
        else{
            localStorage.thestyle = "formal";
        }
    }
    else if(whatto == 'gender'){
        if(document.getElementById('select-gender').value == 'm'){
            localStorage.gender = "m";
        }
        else{
            localStorage.gender = "f";
        }
    }
    else if(whatto == 'maincity'){
        localStorage.maincity = $('#maincity').val();
        console.log(localStorage.maincity);
    }
    else if(whatto == "dayNotify"){
        if(document.getElementById('select-dayNotify').value == 'yesDayNotify'){
            localStorage.dayNotify = "yesDayNotify";
        }
        else{
            localStorage.dayNotify = "noDayNotify";
        }
        console.log(localStorage.dayNotify);
    }
    else if(whatto == "umbNotify"){
        if(document.getElementById('select-umbNotify').value == 'yesUmbNotify'){
            localStorage.umbNotify = "yesUmbNotify";
        }
        else{
            localStorage.umbNotify = "noUmbNotify";
        }
        console.log(localStorage.umbNotify);
    }
    else{
        
    }
}



function determineCondition() {
    if (dayCondition.split(" ")) {
        conditionKeyWords = dayCondition.split(" ");
        for (i = 0; i < conditionKeyWords.length; i++) {
            if (conditionKeyWords[i] == "raining") {
                dayCondition == "rain"
            } else if (conditionKeyWords[i] == "rain") {

            }
        }
    }
}

function textwhitening(){
    document.getElementById('locationbutton').style.color = "white";
    document.getElementById('locationbutton').style.borderColor = "white";
    document.getElementById('locationinput').style.color = "white";
    document.getElementById('maincity').style.color = "white";
    document.getElementById('maincity').style.borderColor = "white";
    document.getElementById('doneb').style.color = "white";
    document.getElementById('doneb').style.borderColor = "white";
    document.getElementById("maincitylabel").style.color = "white";
    var thelink2 = document.getElementsByClassName('link2');
    for (i = 0; i < thelink2.length; i++) {
        thelink2[i].style.color = 'rgba(255,255,255,1)';
    }
    var thelink2 = document.getElementsByClassName('link2');
    for (i = 0; i < thelink2.length; i++) {
        thelink2[i].style.color = 'rgba(255,255,255,1)';
    }
    var thelink3 = document.getElementsByClassName('link3');
    for (i = 0; i < thelink3.length; i++) {
        thelink3[i].style.color = 'rgba(255,255,255,1)';
    }
    var weathertabs = document.getElementsByClassName('weathertabs');
    for (i = 0; i < weathertabs.length; i++) {
        weathertabs[i].style.color = 'rgba(255,255,255,1)';
        weathertabs[i].style.borderColor = 'rgba(255,255,255,1)';
    }
    var weathertaba = document.getElementsByClassName('weathertaba');
    for (i = 0; i < weathertaba.length; i++) {
        weathertaba[i].style.color = 'rgba(255,255,255,1)';
    }
    var regular = document.getElementsByClassName('regular');
    for (i = 0; i < regular.length; i++) {
        regular[i].style.color = 'rgba(255,255,255,1)';
        regular[i].style.borderColor = 'rgba(255,255,255,1)';
    }
}

function textDarkening(){
    document.getElementById('title').style.background = "#F0F0F0";
    document.getElementById('title2').style.background = "#F0F0F0";
    document.getElementById('locationbutton').style.background = "#F0F0F0";
    document.getElementById('locationbutton').style.color = "rgba(51,51,51,1)";
    document.getElementById('locationbutton').style.borderColor = "rgba(51,51,51,1)";
    document.getElementById('locationinput').style.color = "rgba(51,51,51,1)";
    document.getElementById('maincity').style.color = "rgba(51,51,51,1)";
    document.getElementById('maincity').style.borderColor = "rgba(51,51,51,1)";
    document.getElementById('doneb').style.color = "rgba(51,51,51,1)";
    document.getElementById('doneb').style.borderColor = "rgba(51,51,51,1)";
    document.getElementById("maincitylabel").style.color = "rgba(51,51,51,1)";
    var thelink2 = document.getElementsByClassName('link2');
    for (i = 0; i < thelink2.length; i++) {
        thelink2[i].style.color = "rgba(51,51,51,1)";
    }
    var thelink2 = document.getElementsByClassName('link2');
    for (i = 0; i < thelink2.length; i++) {
        thelink2[i].style.color = "rgba(51,51,51,1)";
    }
    var thelink3 = document.getElementsByClassName('link3');
    for (i = 0; i < thelink3.length; i++) {
        thelink3[i].style.color = "rgba(51,51,51,1)";
    }
    var weathertabs = document.getElementsByClassName('weathertabs');
    for (i = 0; i < weathertabs.length; i++) {
        weathertabs[i].style.color = 'rgba(51,51,51,1)';
        weathertabs[i].style.borderColor = "rgba(51,51,51,1)";
    }
    var weathertaba = document.getElementsByClassName('weathertaba');
    for (i = 0; i < weathertaba.length; i++) {
        weathertaba[i].style.color = "rgba(51,51,51,1)";
    }
    var regular = document.getElementsByClassName('regular');
    for (i = 0; i < regular.length; i++) {
        regular[i].style.color = "rgba(51,51,51,1)";
        regular[i].style.borderColor = "rgba(51,51,51,1)";
    }
}

function determineColorC() { //Change the color according to Celsius temperature
    if(localStorage.changecolor=="yesColor"){
        document.getElementById('geopic').src = "img/light-location.png";
        if (dayCondition == 'raining' || dayCondition == 'rain' || dayCondition == 'thunderstorm' || dayCondition == 'thunderstorms' || dayCondition == 'showers' || dayCondition == 'light rain' || dayCondition == 'heavy rain' || highTemp < 19) { //in C
            console.log("color should change");

            var cols = document.getElementsByClassName('dapage');
            for (i = 0; i < cols.length; i++) {
                cols[i].style.backgroundColor = 'rgba(172,190,201,1)';
                cols[i].style.color = 'rgba(255,255,255,1)';
            }
            document.getElementById('title').style.background = "rgba(172,190,201,1)";
            document.getElementById('title2').style.background = "rgba(172,190,201,1)";
            document.getElementById('locationbutton').style.background = "rgba(172,190,201,1)";
            
            var thetitles = document.getElementsByClassName('datitles');
            for (i = 0; i < thetitles.length; i++) {
                thetitles[i].style.color = 'rgba(255,255,255,1)';
                thetitles[i].style.background = "rgba(172,190,201,1)";
            }
            var thefooter2 = document.getElementsByClassName('footer');
            for (i = 0; i < thefooter2.length; i++) {
                thefooter2[i].style.backgroundColor = 'rgba(172,190,201,1)';
                thefooter2[i].style.color = 'rgba(255,255,255,1)';
            }
            var thebody = document.getElementsByTagName('body');
            for (i = 0; i < thebody.length; i++) {
                thebody[i].style.backgroundColor = 'rgba(172,190,201,1)';
                thebody[i].style.color = 'rgba(255,255,255,1)';
            }
            textwhitening();
        }
        else if (dayCondition == 'raining' || dayCondition == 'rain' || dayCondition == 'thunderstorm' || dayCondition == 'thunderstorms' || dayCondition == 'showers' || dayCondition == 'light rain' || dayCondition == 'heavy rain' && highTemp > 25) { //in C
            console.log("color should change");

            var cols = document.getElementsByClassName('dapage');
            for (i = 0; i < cols.length; i++) {
                cols[i].style.backgroundColor = 'rgba(172,172,201,1)';
                cols[i].style.color = 'rgba(255,255,255,1)';
            }
            document.getElementById('title').style.background = "rgba(172,172,201,1)";
            document.getElementById('title2').style.background = "rgba(172,172,201,1)";
            document.getElementById('locationbutton').style.background = "rgba(172,172,201,1)";
            
            var thelink2 = document.getElementsByClassName('link2');
            for (i = 0; i < thelink2.length; i++) {
                thelink2[i].style.color = 'rgba(255,255,255,1)';
            }
            var thetitles = document.getElementsByClassName('datitles');
            for (i = 0; i < thetitles.length; i++) {
                thetitles[i].style.color = 'rgba(255,255,255,1)';
                thetitles[i].style.background = "rgba(172,172,201,1)";
            }
            var thefooter2 = document.getElementsByClassName('footer');
            for (i = 0; i < thefooter2.length; i++) {
                thefooter2[i].style.backgroundColor = 'rgba(172,172,201,1)';
                thefooter2[i].style.color = 'rgba(255,255,255,1)';
            }
            var thebody = document.getElementsByTagName('body');
            for (i = 0; i < thebody.length; i++) {
                thebody[i].style.backgroundColor = 'rgba(172,172,201,1)';
                thebody[i].style.color = 'rgba(255,255,255,1)';
            }
            textwhitening();
        }
        else if (highTemp > 26) { //in C
            console.log("color should change");

            var cols = document.getElementsByClassName('dapage');
            for (i = 0; i < cols.length; i++) {
                cols[i].style.backgroundColor = 'rgba(201,172,172,1)';
                cols[i].style.color = 'rgba(255,255,255,1)';
            }
            document.getElementById('title').style.background = "rgba(201,172,172,1)";
            document.getElementById('title2').style.background = "rgba(201,172,172,1)";
            document.getElementById('locationbutton').style.background = "rgba(201,172,172,1)";
            
            var thetitles = document.getElementsByClassName('datitles');
            for (i = 0; i < thetitles.length; i++) {
                thetitles[i].style.color = 'rgba(255,255,255,1)';
                thetitles[i].style.background = "rgba(201,172,172,1)";
            }
            var thefooter2 = document.getElementsByClassName('footer');
            for (i = 0; i < thefooter2.length; i++) {
                thefooter2[i].style.backgroundColor = 'rgba(201,172,172,1)';
                thefooter2[i].style.color = 'rgba(255,255,255,1)';
            }
            var thebody = document.getElementsByTagName('body');
            for (i = 0; i < thebody.length; i++) {
                thebody[i].style.backgroundColor = 'rgba(201,172,172,1)';
                thebody[i].style.color = 'rgba(255,255,255,1)';
            }
            textwhitening();
        }
        else{
            console.log("color should change");

            var cols = document.getElementsByClassName('dapage');
            for (i = 0; i < cols.length; i++) {
                cols[i].style.backgroundColor = 'rgba(172,201,172,1)';
                cols[i].style.color = 'rgba(255,255,255,1)';
            }
            document.getElementById('title').style.background = "rgba(172,201,172,1)";
            document.getElementById('title2').style.background = "rgba(172,201,172,1)";
            document.getElementById('locationbutton').style.background = "rgba(172,201,172,1)";
            
            var thetitles = document.getElementsByClassName('datitles');
            for (i = 0; i < thetitles.length; i++) {
                thetitles[i].style.color = 'rgba(255,255,255,1)';
                thetitles[i].style.background = "rgba(172,201,172,1)";
            }
            var thefooter2 = document.getElementsByClassName('footer');
            for (i = 0; i < thefooter2.length; i++) {
                thefooter2[i].style.backgroundColor = 'rgba(172,201,172,1)';
                thefooter2[i].style.color = 'rgba(255,255,255,1)';
            }
            var thebody = document.getElementsByTagName('body');
            for (i = 0; i < thebody.length; i++) {
                thebody[i].style.backgroundColor = 'rgba(172,201,172,1)';
                thebody[i].style.color = 'rgba(255,255,255,1)';
            }
            textwhitening();
        }
        if(dayCondition == 'raining' || dayCondition == 'rain' ||  dayCondition == 'showers' || dayCondition == 'light rain' || dayCondition == 'heavy rain' ){
            document.getElementById('theweathericon').src = "img/light-rain.png";
        }
        else if(dayCondition == 'thunderstorm' || dayCondition == 'thunderstorms' || dayCondition == 'scattered thunderstorms'){
            document.getElementById('theweathericon').src = "img/light-thunderstorm.png";
        }
        else if(dayCondition == 'sunny' || dayCondition == 'sunny' || dayCondition == 'mostly sunny' || dayCondition=="mostly clear" || dayCondition=="clear"){
            document.getElementById('theweathericon').src = "img/light-sun.png";
        }
        else if(dayCondition == 'windy' || dayCondition == 'wind'){
            document.getElementById('theweathericon').src = "img/light-wind.png";
        }
        else if(dayCondition == 'snow' || dayCondition == 'snowing' || dayCondition=='snowy'){
            document.getElementById('theweathericon').src = "img/light-snow.png";
        }
        else if(dayCondition == 'mostly cloudy' || dayCondition == 'cloudy' || dayCondition=='clouds' || dayCondition=='cloud'){
            document.getElementById('theweathericon').src = "img/light-cloudy.png";
        }
        else if(dayCondition == 'partly cloudy'){
            document.getElementById('theweathericon').src = "img/light-partly-cloudy.png";
        }
        else{
            if(currentCondition == 'raining' || currentCondition == 'rain' || currentCondition == 'thunderstorm' || currentCondition == 'thunderstorms' || currentCondition == 'showers' || currentCondition == 'light rain' || currentCondition == 'heavy rain' ){
            document.getElementById('theweathericon').src = "img/light-rain.png";
            }
            else if(currentCondition == 'sunny' || currentCondition == 'sunny' || currentCondition == 'mostly sunny' || currentCondition=="mostly clear" || currentCondition=="clear"){
                document.getElementById('theweathericon').src = "img/light-sun.png";
            }
            else if(currentCondition == 'windy' || currentCondition == 'wind'){
                document.getElementById('theweathericon').src = "img/light-wind.png";
            }
            else if(currentCondition == 'snow' || currentCondition == 'snowing' || currentCondition=='snowy'){
                document.getElementById('theweathericon').src = "img/light-snow.png";
            }
            else if(currentCondition == 'mostly cloudy' || currentCondition == 'cloudy' || currentCondition=='clouds' || currentCondition=='cloud'){
                document.getElementById('theweathericon').src = "img/light-cloudy.png";
            }
            else if(currentCondition == 'partly cloudy'){
                document.getElementById('theweathericon').src = "img/light-partly-cloudy.png";
            }
        }
    }
    else{
        document.getElementById('geopic').src = "img/location.png";
        var cols = document.getElementsByClassName('dapage');
        for (i = 0; i < cols.length; i++) {
            cols[i].style.backgroundColor = '#F0F0F0';
            cols[i].style.color = 'rgba(51,51,51,1)';
        }

        var thelink2 = document.getElementsByClassName('link2');
        for (i = 0; i < thelink2.length; i++) {
            thelink2[i].style.color = 'rgba(51,51,51,1)';
        }
        var thetitles = document.getElementsByClassName('datitles');
        for (i = 0; i < thetitles.length; i++) {
            thetitles[i].style.color = 'rgba(51,51,51,1)';
            thetitles[i].style.background = "#F0F0F0";
        }
        var thefooter2 = document.getElementsByClassName('footer');
        for (i = 0; i < thefooter2.length; i++) {
            thefooter2[i].style.backgroundColor = '#F0F0F0';
            thefooter2[i].style.color = 'rgba(51,51,51,1)';
        }
        var thebody = document.getElementsByTagName('body');
        for (i = 0; i < thebody.length; i++) {
            thebody[i].style.backgroundColor = '#F0F0F0';
            thebody[i].style.color = 'rgba(51,51,51,1)';
        }
        var thelink3 = document.getElementsByClassName('link3');
        for (i = 0; i < thelink3.length; i++) {
            thelink3[i].style.color = 'rgba(51,51,51,1)';
        }
        textDarkening();
        
        if(dayCondition == 'raining' || dayCondition == 'rain' ||  dayCondition == 'showers' || dayCondition == 'light rain' || dayCondition == 'heavy rain' ){
            document.getElementById('theweathericon').src = "img/rain.png";
        }
        else if(dayCondition == 'thunderstorm' || dayCondition == 'thunderstorms' || dayCondition == 'scattered thunderstorms'){
            document.getElementById('theweathericon').src = "img/thunderstorm.png";
        }
        else if(dayCondition == 'sunny' || dayCondition == 'sunny' || dayCondition == 'mostly sunny' || dayCondition=="mostly clear" || dayCondition=="clear"){
            document.getElementById('theweathericon').src = "img/sun.png";
        }
        else if(dayCondition == 'windy' || dayCondition == 'wind'){
            document.getElementById('theweathericon').src = "img/wind.png";
        }
        else if(dayCondition == 'snow' || dayCondition == 'snowing' || dayCondition=='snowy'){
            document.getElementById('theweathericon').src = "img/snow.png";
        }
        else if(dayCondition == 'mostly cloudy' || dayCondition == 'cloudy' || dayCondition=='clouds' || dayCondition=='cloud'){
            document.getElementById('theweathericon').src = "img/cloudy.png";
        }
        else if(dayCondition == 'partly cloudy'){
            document.getElementById('theweathericon').src = "img/partly-cloudy.png";
        }
        else{
            if(currentCondition == 'raining' || currentCondition == 'rain' || currentCondition == 'thunderstorm' || currentCondition == 'thunderstorms' || currentCondition == 'showers' || currentCondition == 'light rain' || currentCondition == 'heavy rain' ){
            document.getElementById('theweathericon').src = "img/rain.png";
            }
            else if(currentCondition == 'sunny' || currentCondition == 'sunny' || currentCondition == 'mostly sunny' || currentCondition=="mostly clear" || currentCondition=="clear"){
                document.getElementById('theweathericon').src = "img/sun.png";
            }
            else if(currentCondition == 'windy' || currentCondition == 'wind'){
                document.getElementById('theweathericon').src = "img/wind.png";
            }
            else if(currentCondition == 'snow' || currentCondition == 'snowing' || currentCondition=='snowy'){
                document.getElementById('theweathericon').src = "img/snow.png";
            }
            else if(currentCondition == 'mostly cloudy' || currentCondition == 'cloudy' || currentCondition=='clouds' || currentCondition=='cloud'){
                document.getElementById('theweathericon').src = "img/cloudy.png";
            }
            else if(currentCondition == 'partly cloudy'){
                document.getElementById('theweathericon').src = "img/partly-cloudy.png";
            }
        }
    }
}


function determineColorF() { //Determine color based on Fahrenheit
    if(localStorage.changecolor=="yesColor"){
        document.getElementById('geopic').src = "img/light-location.png";
        if (dayCondition == 'raining' || dayCondition == 'rain' || dayCondition == 'thunderstorm' || dayCondition == 'thunderstorms' || dayCondition == 'showers' || dayCondition == 'light rain' || dayCondition == 'heavy rain' || highTemp < 64 ) { // in F
            console.log("color should change");

            var cols = document.getElementsByClassName('dapage');
            for (i = 0; i < cols.length; i++) {
                cols[i].style.backgroundColor = 'rgba(172,190,201,1)';
                cols[i].style.color = 'rgba(255,255,255,1)';
            }
            document.getElementById('title').style.background = "rgba(172,190,201,1)";
            document.getElementById('title2').style.background = "rgba(172,190,201,1)";
            document.getElementById('locationbutton').style.background = "rgba(172,190,201,1)";
        
            var thetitles = document.getElementsByClassName('datitles');
            for (i = 0; i < thetitles.length; i++) {
                thetitles[i].style.color = 'rgba(255,255,255,1)';
                thetitles[i].style.background = "rgba(172,190,201,1)";
            }
            var thefooter2 = document.getElementsByClassName('footer');
            for (i = 0; i < thefooter2.length; i++) {
                thefooter2[i].style.backgroundColor = 'rgba(172,190,201,1)';
                thefooter2[i].style.color = 'rgba(255,255,255,1)';
            }
            var thebody = document.getElementsByTagName('body');
            for (i = 0; i < thebody.length; i++) {
                thebody[i].style.backgroundColor = 'rgba(172,190,201,1)';
                thebody[i].style.color = 'rgba(255,255,255,1)';
            }
            textwhitening();
        }
        else if (dayCondition == 'raining' || dayCondition == 'rain' || dayCondition == 'thunderstorm' || dayCondition == 'thunderstorms' || dayCondition == 'showers' || dayCondition == 'light rain' || dayCondition == 'heavy rain' && highTemp > 78) { //in F
            console.log("color should change");

            var cols = document.getElementsByClassName('dapage');
            for (i = 0; i < cols.length; i++) {
                cols[i].style.backgroundColor = 'rgba(172,172,201,1)';
                cols[i].style.color = 'rgba(255,255,255,1)';
            }
            document.getElementById('title').style.background = "rgba(172,172,201,1)";
            document.getElementById('title2').style.background = "rgba(172,172,201,1)";
            document.getElementById('locationbutton').style.background = "rgba(172,172,201,1)";
            
            var thetitles = document.getElementsByClassName('datitles');
            for (i = 0; i < thetitles.length; i++) {
                thetitles[i].style.color = 'rgba(255,255,255,1)';
                thetitles[i].style.background = "rgba(172,172,201,1)";
            }
            var thefooter2 = document.getElementsByClassName('footer');
            for (i = 0; i < thefooter2.length; i++) {
                thefooter2[i].style.backgroundColor = 'rgba(172,172,201,1)';
                thefooter2[i].style.color = 'rgba(255,255,255,1)';
            }
            var thebody = document.getElementsByTagName('body');
            for (i = 0; i < thebody.length; i++) {
                thebody[i].style.backgroundColor = 'rgba(172,172,201,1)';
                thebody[i].style.color = 'rgba(255,255,255,1)';
            }
           textwhitening()
        }
        else if (highTemp > 80) { //in F
            console.log("color should change");

            var cols = document.getElementsByClassName('dapage');
            for (i = 0; i < cols.length; i++) {
                cols[i].style.backgroundColor = 'rgba(201,172,172,1)';
                cols[i].style.color = 'rgba(255,255,255,1)';
            }
            document.getElementById('title').style.background = "rgba(201,172,172,1)";
            document.getElementById('title2').style.background = "rgba(201,172,172,1)";
            document.getElementById('locationbutton').style.background = "rgba(201,172,172,1)";

            var thetitles = document.getElementsByClassName('datitles');
            for (i = 0; i < thetitles.length; i++) {
                thetitles[i].style.color = 'rgba(255,255,255,1)';
                thetitles[i].style.background = "rgba(201,172,172,1)";
            }
            var thefooter2 = document.getElementsByClassName('footer');
            for (i = 0; i < thefooter2.length; i++) {
                thefooter2[i].style.backgroundColor = 'rgba(201,172,172,1)';
                thefooter2[i].style.color = 'rgba(255,255,255,1)';
            }
            var thebody = document.getElementsByTagName('body');
            for (i = 0; i < thebody.length; i++) {
                thebody[i].style.backgroundColor = 'rgba(201,172,172,1)';
                thebody[i].style.color = 'rgba(255,255,255,1)';
            }
            textwhitening();
        }
        else{
            console.log("color should change");

            var cols = document.getElementsByClassName('dapage');
            for (i = 0; i < cols.length; i++) {
                cols[i].style.backgroundColor = 'rgba(172,201,172,1)';
                cols[i].style.color = 'rgba(255,255,255,1)';
            }
            document.getElementById('title').style.background = "rgba(172,201,172,1)";
            document.getElementById('title2').style.background = "rgba(172,201,172,1)";
            document.getElementById('locationbutton').style.background = "rgba(172,201,172,1)";

            var thetitles = document.getElementsByClassName('datitles');
            for (i = 0; i < thetitles.length; i++) {
                thetitles[i].style.color = 'rgba(255,255,255,1)';
                thetitles[i].style.background = "rgba(172,201,172,1)";
            }
            var thefooter2 = document.getElementsByClassName('footer');
            for (i = 0; i < thefooter2.length; i++) {
                thefooter2[i].style.backgroundColor = 'rgba(172,201,172,1)';
                thefooter2[i].style.color = 'rgba(255,255,255,1)';
            }
            var thebody = document.getElementsByTagName('body');
            for (i = 0; i < thebody.length; i++) {
                thebody[i].style.backgroundColor = 'rgba(172,201,172,1)';
                thebody[i].style.color = 'rgba(255,255,255,1)';
            }
            textwhitening();
        }
        if(dayCondition == 'raining' || dayCondition == 'rain' ||  dayCondition == 'showers' || dayCondition == 'light rain' || dayCondition == 'heavy rain' ){
            document.getElementById('theweathericon').src = "img/light-rain.png";
        }
        else if(dayCondition == 'thunderstorm' || dayCondition == 'thunderstorms' || dayCondition == 'scattered thunderstorms'){
            document.getElementById('theweathericon').src = "img/light-thunderstorm.png";
        }
        else if(dayCondition == 'sunny' || dayCondition == 'sunny' || dayCondition == 'mostly sunny' || dayCondition=="mostly clear" || dayCondition=="clear"){
            document.getElementById('theweathericon').src = "img/light-sun.png";
        }
        else if(dayCondition == 'windy' || dayCondition == 'wind'){
            document.getElementById('theweathericon').src = "img/light-wind.png";
        }
        else if(dayCondition == 'snow' || dayCondition == 'snowing' || dayCondition=='snowy'){
            document.getElementById('theweathericon').src = "img/light-snow.png";
        }
        else if(dayCondition == 'mostly cloudy' || dayCondition == 'cloudy' || dayCondition=='clouds' || dayCondition=='cloud'){
            document.getElementById('theweathericon').src = "img/light-cloudy.png";
        }
        else if(dayCondition == 'partly cloudy'){
            document.getElementById('theweathericon').src = "img/light-partly-cloudy.png";
        }
        else{
            if(currentCondition == 'raining' || currentCondition == 'rain' || currentCondition == 'thunderstorm' || currentCondition == 'thunderstorms' || currentCondition == 'showers' || currentCondition == 'light rain' || currentCondition == 'heavy rain' ){
            document.getElementById('theweathericon').src = "img/light-rain.png";
            }
            else if(currentCondition == 'sunny' || currentCondition == 'sunny' || currentCondition == 'mostly sunny' || currentCondition=="mostly clear" || currentCondition=="clear"){
                document.getElementById('theweathericon').src = "img/light-sun.png";
            }
            else if(currentCondition == 'windy' || currentCondition == 'wind'){
                document.getElementById('theweathericon').src = "img/light-wind.png";
            }
            else if(currentCondition == 'snow' || currentCondition == 'snowing' || currentCondition=='snowy'){
                document.getElementById('theweathericon').src = "img/light-snow.png";
            }
            else if(currentCondition == 'mostly cloudy' || currentCondition == 'cloudy' || currentCondition=='clouds' || currentCondition=='cloud'){
                document.getElementById('theweathericon').src = "img/light-cloudy.png";
            }
            else if(currentCondition == 'partly cloudy'){
                document.getElementById('theweathericon').src = "img/light-partly-cloudy.png";
            }
        }
    }
    else{
        document.getElementById('geopic').src = "img/location.png";
        var cols = document.getElementsByClassName('dapage');
        for (i = 0; i < cols.length; i++) {
            cols[i].style.backgroundColor = '#F0F0F0';
            cols[i].style.color = 'rgba(51,51,51,1)';
        }

        var thelink2 = document.getElementsByClassName('link2');
        for (i = 0; i < thelink2.length; i++) {
            thelink2[i].style.color = 'rgba(51,51,51,1)';
        }
        var thetitles = document.getElementsByClassName('datitles');
        for (i = 0; i < thetitles.length; i++) {
            thetitles[i].style.color = 'rgba(51,51,51,1)';
            thetitles[i].style.background = "#F0F0F0";
        }
        var thefooter2 = document.getElementsByClassName('footer');
        for (i = 0; i < thefooter2.length; i++) {
            thefooter2[i].style.backgroundColor = '#F0F0F0';
            thefooter2[i].style.color = 'rgba(51,51,51,1)';
        }
        var thebody = document.getElementsByTagName('body');
        for (i = 0; i < thebody.length; i++) {
            thebody[i].style.backgroundColor = '#F0F0F0';
            thebody[i].style.color = 'rgba(51,51,51,1)';
        }
        var thelink3 = document.getElementsByClassName('link3');
        for (i = 0; i < thelink3.length; i++) {
            thelink3[i].style.color = 'rgba(51,51,51,1)';
        }
        textDarkening();
        if(dayCondition == 'raining' || dayCondition == 'rain' ||  dayCondition == 'showers' || dayCondition == 'light rain' || dayCondition == 'heavy rain' ){
            document.getElementById('theweathericon').src = "img/rain.png";
        }
        else if(dayCondition == 'thunderstorm' || dayCondition == 'thunderstorms' || dayCondition == 'scattered thunderstorms'){
            document.getElementById('theweathericon').src = "img/thunderstorm.png";
        }
        else if(dayCondition == 'sunny' || dayCondition == 'sunny' || dayCondition == 'mostly sunny' || dayCondition=="mostly clear" || dayCondition=="clear"){
            document.getElementById('theweathericon').src = "img/sun.png";
        }
        else if(dayCondition == 'windy' || dayCondition == 'wind'){
            document.getElementById('theweathericon').src = "img/wind.png";
        }
        else if(dayCondition == 'snow' || dayCondition == 'snowing' || dayCondition=='snowy'){
            document.getElementById('theweathericon').src = "img/snow.png";
        }
        else if(dayCondition == 'mostly cloudy' || dayCondition == 'cloudy' || dayCondition=='clouds' || dayCondition=='cloud'){
            document.getElementById('theweathericon').src = "img/cloudy.png";
        }
        else if(dayCondition == 'partly cloudy'){
            document.getElementById('theweathericon').src = "img/partly-cloudy.png";
        }
        else{
            if(currentCondition == 'raining' || currentCondition == 'rain' || currentCondition == 'thunderstorm' || currentCondition == 'thunderstorms' || currentCondition == 'showers' || currentCondition == 'light rain' || currentCondition == 'heavy rain' ){
            document.getElementById('theweathericon').src = "img/rain.png";
            }
            else if(currentCondition == 'sunny' || currentCondition == 'sunny' || currentCondition == 'mostly sunny' || currentCondition=="mostly clear" || currentCondition=="clear"){
                document.getElementById('theweathericon').src = "img/sun.png";
            }
            else if(currentCondition == 'windy' || currentCondition == 'wind'){
                document.getElementById('theweathericon').src = "img/wind.png";
            }
            else if(currentCondition == 'snow' || currentCondition == 'snowing' || currentCondition=='snowy'){
                document.getElementById('theweathericon').src = "img/snow.png";
            }
            else if(currentCondition == 'mostly cloudy' || currentCondition == 'cloudy' || currentCondition=='clouds' || currentCondition=='cloud'){
                document.getElementById('theweathericon').src = "img/cloudy.png";
            }
            else if(currentCondition == 'partly cloudy'){
                document.getElementById('theweathericon').src = "img/partly-cloudy.png";
            }
        }
    }
}


function useWindChill() {
    if (windChill != currentTemp) {
        return " and its wind chill bringing the temperature down to <b>" + windChill+ "&deg;"+localStorage.tempunit.toUpperCase();
    } else {
        return ".";
    }
}



//Get weather
function getWeather(thelocation, thewoeid) {
    $.simpleWeather({
        location: thelocation, //latitude
        woeid: thewoeid,
        unit: localStorage.tempunit,
        success: function(weather) {

            currentTemp = weather.temp;
            currentCondition = weather.currently.toLowerCase();
            dayCondition = weather.text.toLowerCase();
            windSpeed = weather.wind.speed;
            windChill = weather.wind.chill;
            highTemp = weather.high;
            lowTemp = weather.low;
            humidity = weather.humidity;
            heatindex = weather.heatindex;
            city = weather.city;
            state = weather.region;
            if(localStorage.tempunit == 'f'){
                determineColorF();
            }
            else{
                determineColorC();
            }
            
            //determineColor();
            document.getElementById('currenttemp').innerHTML = "Current Temp: <strong>"+currentTemp+"</strong>";
            document.getElementById('currentcondition').innerHTML = "Current Condition: <strong>"+currentCondition+"</strong>";
            document.getElementById('hightemp').innerHTML = "High Temp: <strong>"+highTemp+"</strong>";
            document.getElementById('daycondition').innerHTML = "Day Condition: <strong>"+dayCondition+"</strong>";
            document.getElementById('lowtemp').innerHTML = "Low Temp: <strong>"+lowTemp+"</strong>";
            document.getElementById('humidity').innerHTML = "Humidity: <strong>"+humidity+"</strong>";
            document.getElementById('windspeed').innerHTML = "Wind Speed: <strong>"+windSpeed+"</strong>";
            document.getElementById('windchill').innerHTML = "Wind Chill: <strong>"+windChill+"</strong>";
            document.getElementById('heatindex').innerHTML = "Heat Index: <strong>"+heatindex+"</strong>";
            document.getElementById('title2').innerHTML = city+", "+state;
            $.mobile.changePage($("#weatherpg"), "none");
            /* html = '<h2><i class="icon-'+weather.code+'"></i> '+weather.temp+'&deg;'+weather.units.temp+'</h2>';
             html += '<ul><li>'+weather.city+', '+weather.region+'</li>';
             html += '<li class="currently">Currently: '+weather.currently+'</li>';
               html += '<li> Day Forecast: '+weather.text+'</li>';
               console.log(weather.currently);
               console.log(currentCondition);
             html += '<li>Wind: '+weather.wind.direction+' '+weather.wind.speed+' '+weather.units.speed+'</li>';
               html += '<li>Humidity: '+weather.humidity+'%</li>';
               html += '<li>Heat Index: '+heatindex+'</li>';
               html += '<li>High: '+weather.high+'&deg;F</li>';
               html += '<li>Low: '+weather.low+'&deg;F</li></ul>';*/
            

            determineWear();
        },
        error: function(error) {
            $("#weather").html('<p>' + error + '</p>');
        }
    });
}

//Get Location
function onError(error) {
        console.log("error!!!!");
        console.lgo('code: '    + error.code    + '\n' +
              'message: ' + error.message + '\n');
}
function onSuccess(position){
     console.log("geolocation success");
        if (position.coords.latitude != undefined) {
            currentLatitude = position.coords.latitude;
            currentLongitude = position.coords.longitude;
            getWeather("("+currentLatitude + ',' + currentLongitude+")"); //Gets weather with these coordinates
        }
}
function getLocation() {
    console.log("get location called");
    /*var suc = function(p) {
        console.log("geolocation success");
        if (p.coords.latitude != undefined) {
            currentLatitude = p.coords.latitude;
            currentLongitude = p.coords.longitude;
            getWeather(currentLatitude + ',' + currentLongitude); //Gets weather with these coordinates
        }

    };
    var fail = function() {
        console.log("epic fail.");
        //Try again
    };*/

    /*var onSuccess = function(position) {
    alert('Latitude: '          + position.coords.latitude          + '\n' +
          'Longitude: '         + position.coords.longitude         + '\n' +
          'Altitude: '          + position.coords.altitude          + '\n' +
          'Accuracy: '          + position.coords.accuracy          + '\n' +
          'Altitude Accuracy: ' + position.coords.altitudeAccuracy  + '\n' +
          'Heading: '           + position.coords.heading           + '\n' +
          'Speed: '             + position.coords.speed             + '\n' +
          'Timestamp: '         + position.timestamp                + '\n');
    };*/

    // onError Callback receives a PositionError object
    //

    navigator.geolocation.getCurrentPosition(onSuccess, onError, {maximumAge:60000, timeout:5000})
}

function weatherByInput() {
    getWeather(document.getElementById('locationinput').value);
}